---

# vars file for sap-preconfigure

__sap_preconfigure_sapnotes_versions:
  - { number: '2772999', version: '17' }
  - { number: '1771258', version: '6' }

__sap_preconfigure_envgroups:
  - "server-product-environment"

__sap_preconfigure_packagegroups_x86_64:
  - "@server"

__sap_preconfigure_packagegroups_ppc64le:
  - "@server"

__sap_preconfigure_packagegroups_s390x:
  - "@server"

__sap_preconfigure_packagegroups: "{{ lookup('vars','__sap_preconfigure_packagegroups_' + ansible_architecture ) }}"

__sap_preconfigure_packages_x86_64:
  - uuidd
  - libnsl
  - tcsh
  - psmisc
  - nfs-utils
  - bind-utils
  - compat-sap-c++-9
  - compat-sap-c++-10

__sap_preconfigure_packages_ppc64le:
  - uuidd
  - libnsl
  - tcsh
  - psmisc
  - nfs-utils
  - bind-utils
  - compat-sap-c++-9
  - compat-sap-c++-10

__sap_preconfigure_packages_s390x:
  - uuidd
  - libnsl
  - tcsh
  - psmisc
  - nfs-utils
  - bind-utils

__sap_preconfigure_packages: "{{ lookup('vars','__sap_preconfigure_packages_' + ansible_architecture ) }}"

__sap_preconfigure_kernel_parameters_default:
  - { name: vm.max_map_count, value: '2147483647' }
  - { name: kernel.pid_max, value: '4194304' }
